part of modern_form_core;

extension ModernFormTextInputTypeExtension on TextInputType {
  String get string {
    switch (this.index) {
      case 0:
        return "Texto";
      case 1:
        return "Multi linhas";
      case 2:
        return "Número";
      case 3:
        return "Telefone";
      case 4:
        return "Data";
      case 5:
        return "Email";
      case 6:
        return "Url";
      case 7:
        return "Senha";
      case 8:
        return "Nome";
      case 9:
        return "Endereço";
      default:
        return "";
    }
  }

  String get toValueString {
    switch (this.index) {
      case 0:
        return "text";
      case 1:
        return "multiLines";
      case 2:
        return "number";
      case 3:
        return "phone";
      case 4:
        return "date";
      case 5:
        return "email";
      case 6:
        return "url";
      case 7:
        return "password";
      case 8:
        return "name";
      case 9:
        return "adress";
      default:
        return "";
    }
  }
}

extension ModernFormStringToTextInputType on String {
  TextInputType get stringToTextInputType {
    switch (this) {
      case "Texto":
        return TextInputType.text;
      case "Multi linhas":
        return TextInputType.multiline;
      case "Número":
        return TextInputType.number;
      case "Telefone":
        return TextInputType.phone;
      case "Data":
        return TextInputType.datetime;
      case "Email":
        return TextInputType.emailAddress;
      case "Url":
        return TextInputType.url;
      case "Senha":
        return TextInputType.visiblePassword;
      case "Nome":
        return TextInputType.name;
      case "Endereço":
        return TextInputType.streetAddress;
      default:
        return TextInputType.text;
    }
  }

  TextInputType get valueStringToTextInputType {
    switch (this) {
      case "text":
        return TextInputType.text;
      case "multiLines":
        return TextInputType.multiline;
      case "number":
        return TextInputType.number;
      case "phone":
        return TextInputType.phone;
      case "date":
        return TextInputType.datetime;
      case "email":
        return TextInputType.emailAddress;
      case "url":
        return TextInputType.url;
      case "password":
        return TextInputType.visiblePassword;
      case "name":
        return TextInputType.name;
      case "adress":
        return TextInputType.streetAddress;
      default:
        return TextInputType.text;
    }
  }
}
