part of modern_form_core;

extension ModernFormTimeOfDayExtension on TimeOfDay {
  DateTime get toDateTime => DateTime(0, 0, 0, hour, minute);

  Map<String, dynamic> toMap() => {'hour': hour, 'minute': minute};

  static TimeOfDay? fromMap(dynamic map) {
    try {
      if (map == null || map!['hour'] == null || map!['minute'] == null) {
        return null;
      }

      return TimeOfDay(
        hour: map['hour'] is int ? map['hour'] : int.parse(map['hour']),
        minute: map['minute'] is int ? map['minute'] : int.parse(map['minute']),
      );
    } catch (e) {
      debugPrint("ModernFormTimeOfDayExtension.fromMap() --> $e");
      return null;
    }
  }

  TimeOfDay copyWith({
    int? hour,
    int? minute,
  }) {
    return TimeOfDay(
      hour: hour ?? this.hour,
      minute: minute ?? this.minute,
    );
  }
}
