part of modern_form_core;

class ModernFormCircularCheckBox extends StatelessWidget {
  final String? title;
  final bool? value;
  final void Function(bool?)? onChanged;

  const ModernFormCircularCheckBox(
      {Key? key, this.title, this.value, this.onChanged})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.start,
      children: [
        Transform.scale(
          scale: 1.3,
          child: Checkbox(
            value: value ?? false,
            materialTapTargetSize: MaterialTapTargetSize.shrinkWrap,
            visualDensity: VisualDensity.compact,
            shape: CircleBorder(),
            onChanged: onChanged ?? (bool? x) {},
          ),
        ),
        ModernFormConstrainedText(
          title,
          style: TextStyle(fontSize: ScreenUtil().setSp(15)),
          maxWidth: .7,
          selectableDisabled: true,
        ),
      ],
    );
  }
}
