part of modern_form_core;

class ModernFormFilterProfileIten extends StatelessWidget {
  final String? image;
  final String? label;
  final String? subTitle;
  final void Function()? onTap;
  final TextStyle? titleStyle;

  const ModernFormFilterProfileIten(
      {Key? key,
      this.image,
      this.label,
      this.subTitle,
      this.onTap,
      this.titleStyle})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.only(top: ScreenUtil().setSp(15)),
      child: InkWell(
        onTap: onTap,
        child: Row(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            image != null && image!.isNotEmpty
                ? Row(
                    children: [
                      Container(
                        height: ScreenUtil().setHeight(50),
                        width: ScreenUtil().setWidth(90),
                        child: ClipRRect(
                          borderRadius: BorderRadius.circular(6),
                          child: ImageWidget(
                            imageUrl: image,
                            fit: BoxFit.cover,
                          ),
                        ),
                      ),
                      SizedBox(width: ScreenUtil().setWidth(7)),
                    ],
                  )
                : Container(),
            Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text(label ?? "",
                    style: titleStyle ??
                        TextStyle(fontSize: ScreenUtil().setSp(14))),
                SizedBox(height: ScreenUtil().setSp(2)),
                Text(
                  subTitle ?? "",
                  style: TextStyle(fontSize: ScreenUtil().setSp(12)),
                ),
              ],
            )
          ],
        ),
      ),
    );
  }
}
