part of modern_form_core;

class ModernFormFilterTextIten extends StatelessWidget {
  final String? text;
  final void Function()? onTap;
  final void Function(BuildContext context)? onTapClose;
  final IconData? iconData;

  const ModernFormFilterTextIten({
    Key? key,
    this.text,
    this.onTapClose,
    this.onTap,
    this.iconData,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    Size size = MediaQuery.of(context).size;

    return InkWell(
      onTap: onTap,
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: <Widget>[
          ConstrainedBox(
            constraints: BoxConstraints(maxWidth: size.width * .7),
            child: Wrap(
              children: [
                SelectableText(
                  text ?? "",
                  style: TextStyle(fontSize: ScreenUtil().setSp(14)),
                )
              ],
            ),
          ),
          Builder(
            builder: (context) => IconButton(
              icon: Icon(iconData ?? Icons.close, size: ScreenUtil().setSp(18)),
              onPressed: () {
                onTapClose!(context);
              },
            ),
          ),
        ],
      ),
    );
  }
}
