part of modern_form_core;

class ImageWidget extends StatelessWidget {
  final String? imageUrl;
  final Uint8List? imageMemory;
  final BoxFit? fit;
  final double? width;
  final double? height;
  final bool? forceNetworkIfNotMemory;
  final String? assetPlaceHolder;

  const ImageWidget({
    Key? key,
    this.imageUrl,
    this.imageMemory,
    this.fit,
    this.width,
    this.height,
    this.forceNetworkIfNotMemory,
    this.assetPlaceHolder,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    BoxFit _fit = fit ?? BoxFit.cover;

    return imageMemory != null && imageMemory!.isNotEmpty
        ? Image.memory(
            imageMemory!,
            fit: _fit,
            width: width,
            height: height,
          )
        : imageUrl != null && imageUrl!.isNotEmpty
            ? CustomNetWorkImage(
                imageUrl: imageUrl,
                fit: _fit,
                forceNetworkIfNotMemory: forceNetworkIfNotMemory,
                width: width,
                height: height,
              )
            : assetPlaceHolder != null
                ? Image.asset(
                    assetPlaceHolder!,
                    fit: _fit,
                    width: width,
                    height: height,
                  )
                : SizedBox();
  }
}
