part of modern_form_core;

class ModernFormBottonSheetLabel extends StatefulWidget {
  final String? label;
  final TextStyle? labelStyle;

  const ModernFormBottonSheetLabel({Key? key, this.label, this.labelStyle})
      : super(key: key);

  @override
  _ModernFormBottonSheetLabelState createState() =>
      _ModernFormBottonSheetLabelState();
}

class _ModernFormBottonSheetLabelState
    extends State<ModernFormBottonSheetLabel> {
  final Color colorBlack = Color(0xff2A2A2A);
  final Color colorMute = Color(0xff9EA4B9);
  final Color colorGrey = Color(0xff707070);

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.all(0),
      height: ScreenUtil().setSp(60),
      width: double.maxFinite,
      decoration: BoxDecoration(
        color: Colors.white,
        border: Border(
          bottom: BorderSide(
              color: Color(0xffD8D8D8), width: ScreenUtil().setSp(1)),
        ),
      ),
      child: Row(
        crossAxisAlignment: CrossAxisAlignment.stretch,
        children: <Widget>[
          RawMaterialButton(
            onPressed: () {
              Navigator.pop(context);
            },
            padding: EdgeInsets.symmetric(horizontal: ScreenUtil().setSp(10)),
            child: Row(
              children: <Widget>[
                Icon(
                  Icons.close,
                  size: ScreenUtil().setSp(24),
                  color: colorBlack,
                ),
              ],
            ),
          ),
          Row(
            mainAxisAlignment: MainAxisAlignment.center,
            crossAxisAlignment: CrossAxisAlignment.center,
            children: <Widget>[
              Text(
                widget.label!,
                textAlign: TextAlign.center,
                style: widget.labelStyle ??
                    TextStyle(
                      fontSize: ScreenUtil().setSp(16),
                      color: colorGrey,
                      fontWeight: FontWeight.bold,
                    ),
              ),
            ],
          ),
        ],
      ),
    );
  }
}
