part of modern_form_core;

class ModernFormBoolPicker extends StatelessWidget {
  final bool value;
  final String label;
  final void Function(bool) onChanged;

  const ModernFormBoolPicker({
    Key? key,
    required this.value,
    required this.label,
    required this.onChanged,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ModernFormTextPicker<bool>(
      label: label,
      value: value.toElegantString,
      list: [
        ModernFormBottomSheetModel<bool>(
            text: true.toElegantString, value: true),
        ModernFormBottomSheetModel<bool>(
            text: false.toElegantString, value: false),
      ],
      forceMenu: true,
      onChanged: onChanged,
    );
  }
}
