part of modern_form_core;

class ModernFormTextPicker<T> extends StatelessWidget {
  final void Function(T)? onChanged;
  final String? label;
  final String? helperText;
  final String? value;
  final List<ModernFormBottomSheetModel<T>>? list;
  final List<String>? listString;
  final bool? forceMenu;
  final bool? enabled;
  final bool? sufixIconEnabled;
  final void Function(String)? onClear;
  final String? Function(dynamic)? validator;
  final InputDecoration Function(InputDecoration)? decoration;
  final TextStyle Function(TextStyle)? textStyle;
  final TextStyle Function(TextStyle)? labelStyle;
  final TextStyle Function(TextStyle)? errorStyle;
  final Icon? prefixIcon;

  const ModernFormTextPicker({
    Key? key,
    this.onChanged,
    this.label,
    this.value,
    this.list,
    this.listString,
    this.forceMenu,
    this.enabled,
    this.sufixIconEnabled,
    this.onClear,
    this.validator,
    this.decoration,
    this.textStyle,
    this.labelStyle,
    this.errorStyle,
    this.prefixIcon,
    this.helperText,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ModernFormFakeTextField(
      prefixIcon: prefixIcon,
      validator: validator,
      label: label ?? "",
      helperText: helperText,
      initialValue: value ?? "",
      sufixIconEnabled: sufixIconEnabled ?? false,
      enabled: enabled ?? true,
      onChanged: onClear,
      decoration: decoration,
      textStyle: textStyle,
      labelStyle: labelStyle,
      errorStyle: errorStyle,
      onTap: () async {
        T? response = await showModernFormFilterPopupMenu<T>(
          context,
          list: list ??
              listString
                  ?.map((e) =>
                      ModernFormBottomSheetModel<T>(text: e, value: e as T))
                  .toList() ??
              [],
          title: label ?? "Selecione",
          forceMenu: forceMenu,
        );

        if (response != null && onChanged != null) {
          onChanged!(response);
        }
      },
    );
  }
}
