part of modern_form_files;

class ModernFormViewFiles extends StatelessWidget {
  final List<String>? filesUrl;
  final List<Uint8List>? filesMemory;
  final List<String>? filesPath;
  final Axis? direction;
  final List<ModernFormFileExtensionType> extensionTypes;

  const ModernFormViewFiles({
    Key? key,
    this.filesUrl,
    this.filesMemory,
    this.filesPath,
    required this.extensionTypes,
    this.direction,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    bool isHorizontal = direction == null || direction == Axis.horizontal;
    bool isMemory = filesMemory != null && filesMemory!.isNotEmpty;

    return Container(
      height: isHorizontal ? ScreenUtil().setWidth(80) : null,
      child: ListView.builder(
        shrinkWrap: true,
        scrollDirection: direction ?? Axis.horizontal,
        physics: NeverScrollableScrollPhysics(),
        itemCount: isMemory ? filesMemory?.length : filesUrl?.length ?? 0,
        itemBuilder: (context, index) {
          String? arquiveUrl;
          Uint8List? arquiveMemory;
          ModernFormFileExtensionType extensionType = extensionTypes[index];

          if (isMemory && index < filesMemory!.length) {
            arquiveMemory = filesMemory![index];
          }
          if (!isMemory && index < filesUrl!.length) {
            arquiveUrl = filesUrl![index];
          }

          return Padding(
            padding: EdgeInsets.only(
              right: isHorizontal ? ScreenUtil().setWidth(20) : 0,
              bottom: isHorizontal ? 0 : ScreenUtil().setHeight(10),
            ),
            child: ModernFormViewFile(
              file: arquiveMemory,
              fileUrl: arquiveUrl,
              fileName: "${index + 1}",
              fileExtensionType: extensionType,
            ),
          );
        },
      ),
    );
  }
}
