part of modern_form_images;

class ModernFormViewImage extends StatelessWidget {
  final String? network;
  final Uint8List? memory;
  final void Function()? onDelete;
  final Color? backgroundColor;
  final double? elevation;
  final double? height;
  final double? width;

  const ModernFormViewImage({
    Key? key,
    this.network,
    this.memory,
    this.onDelete,
    this.backgroundColor,
    this.elevation,
    this.height,
    this.width,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    String tag = "$network ${DateTime.now().microsecondsSinceEpoch}";
    return ModernFormDetector(
      onTap: () {
        showModernFormImageFullScreen(
          networkImage: network,
          memoryImage: memory,
          tag: tag,
        );
      },
      onLongPress: onDelete != null
          ? () async {
              dialogDelete(
                () {
                  onDelete!();
                },
              );
            }
          : null,
      child: Container(
        // width: ScreenUtil().setWidth(80),
        height: height == -1 ? null : (height ?? ScreenUtil().setHeight(100)),
        child: Material(
          color: backgroundColor ?? Colors.transparent,
          elevation: elevation ?? 0.0,
          child: ImageWidget(
            imageUrl: network,
            imageMemory: memory,
            fit: BoxFit.cover,
            width: width,
          ),
        ),
      ),
    );
  }
}
