part of modern_form_videos;

class ModernFormViewVideos extends StatelessWidget {
  final List<ModernFormViewVideosModel>? videosData;
  final Axis? direction;

  const ModernFormViewVideos({Key? key, this.videosData, this.direction})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    bool isHorizontal = direction == null || direction == Axis.horizontal;

    return Container(
      height: isHorizontal ? ScreenUtil().setHeight(120) : null,
      child: ListView.builder(
        shrinkWrap: true,
        scrollDirection: direction ?? Axis.horizontal,
        physics: isHorizontal ? null : NeverScrollableScrollPhysics(),
        itemCount: videosData?.length ?? 0,
        itemBuilder: (context, index) {
          ModernFormViewVideosModel videoData = videosData![index];

          return Padding(
            padding: EdgeInsets.only(
              right: isHorizontal ? ScreenUtil().setWidth(20) : 0,
              bottom: isHorizontal ? 0 : ScreenUtil().setHeight(10),
            ),
            child: Padding(
              padding: const EdgeInsets.all(8.0),
              child: ModernFormViewVideo(videoData),
            ),
          );
        },
      ),
    );
  }
}
